---
title: Ansible Role PHP
repo: https://gitlab.lakedrops.com/ansible/roles/php
issues: https://gitlab.lakedrops.com/ansible/roles/php/-/issues
tags:
- ansible
---
# Updating PHP Version

```
# Example: from 7.1 to 7.3

ascr role php

# - Move FPM Conf from 7.1 to 7.3
# - Remove www FPM Conf from 7.3
# - Stop FPM 7.1
# - Restart FPM 7.3


a -m service -a "name=php7.1-fpm state=stopped enabled=no"
a -m service -a "name=php7.3-fpm state=started enabled=yes"
ascr jailkit-upgrade

# On the Host
update-alternatives --config php
etckeeper commit -m "After PHP update to PHP 7.3"
```
